Bug 25271 - Add floating toolbar to OPAC cart
Summary: Add floating toolbar to OPAC cart
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 25274
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-24 00:51 UTC by Owen Leonard
Modified: 2020-05-08 22:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25271: Add floating toolbar to OPAC cart (10.93 KB, patch)
2020-04-24 12:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25271: Add floating toolbar to OPAC cart (11.06 KB, patch)
2020-04-27 12:45 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25271: Add floating toolbar to OPAC cart (11.13 KB, patch)
2020-04-28 19:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25271: Add floating toolbar to OPAC cart (3.90 KB, patch)
2020-04-29 17:07 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-24 00:51:05 UTC
I think it would be useful for the OPAC cart window's toolbar to float.
Comment 1 Owen Leonard 2020-04-24 12:45:49 UTC
Created attachment 103670 [details] [review]
Bug 25271: Add floating toolbar to OPAC cart

This patch adds JavaScript to the OPAC cart view so that the toolbar at
the top of the display "floats" as you scroll down.

The patch also makes a minor correction to the OPAC SCSS affecting the
display of the buttons in the cart toolbar.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Add some items to a cart in the OPAC.
 - Open the cart and confirm that the toolbar sticks to the top of the
   window as you scroll down.
 - Confirm that it works in the "More details" view.
 - Confirm that other JavaScript-based operations are not affected:
   table sorting and all the various toolbar buttons.
Comment 2 Frédéric Demians 2020-04-27 07:01:59 UTC
For me, it works except in More details view as you can see here: https://youtu.be/-z0nZ0oLyGs
Comment 3 Owen Leonard 2020-04-27 11:50:26 UTC
(In reply to Frédéric Demians from comment #2)
> For me, it works except in More details view as you can see here:

This is the same problem I had without the patch for Bug 25274. Did you test with that patch applied?
Comment 4 Frédéric Demians 2020-04-27 12:45:18 UTC
Created attachment 103777 [details] [review]
Bug 25271: Add floating toolbar to OPAC cart

This patch adds JavaScript to the OPAC cart view so that the toolbar at
the top of the display "floats" as you scroll down.

The patch also makes a minor correction to the OPAC SCSS affecting the
display of the buttons in the cart toolbar.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Add some items to a cart in the OPAC.
 - Open the cart and confirm that the toolbar sticks to the top of the
   window as you scroll down.
 - Confirm that it works in the "More details" view.
 - Confirm that other JavaScript-based operations are not affected:
   table sorting and all the various toolbar buttons.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Comment 5 Frédéric Demians 2020-04-27 12:47:08 UTC
(In reply to Owen Leonard from comment #3)

> This is the same problem I had without the patch for Bug 25274. Did you test
> with that patch applied?

That's it. It works with this patch (it wasn't yet pushed on master this morning when I tested...)
Comment 6 Katrin Fischer 2020-04-28 19:33:39 UTC
QA script complains a bit, but this will be fixed by bug 25166 - so I suggest we forego a follow-up here.

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-basket.tt
   OK	  filters
   FAIL	  forbidden patterns
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 23)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 25)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 28)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 30)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 31)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 32)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 34)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 44)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 47)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 50)
		forbidden pattern: Font Awesome icons need the aria-hidden attribute for accessibility purpose (see bug 25166)  (line 53)
Comment 7 Katrin Fischer 2020-04-28 19:35:29 UTC
Created attachment 103881 [details] [review]
Bug 25271: Add floating toolbar to OPAC cart

This patch adds JavaScript to the OPAC cart view so that the toolbar at
the top of the display "floats" as you scroll down.

The patch also makes a minor correction to the OPAC SCSS affecting the
display of the buttons in the cart toolbar.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Add some items to a cart in the OPAC.
 - Open the cart and confirm that the toolbar sticks to the top of the
   window as you scroll down.
 - Confirm that it works in the "More details" view.
 - Confirm that other JavaScript-based operations are not affected:
   table sorting and all the various toolbar buttons.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2020-04-29 16:33:05 UTC
Sorry Owen.. not sure which bug I just pushed that breaks this, but the rebase looks like your expert eyes would do better than mine in this case.. pretty please.
Comment 9 Owen Leonard 2020-04-29 17:07:24 UTC
Created attachment 103970 [details] [review]
Bug 25271: Add floating toolbar to OPAC cart

This patch adds JavaScript to the OPAC cart view so that the toolbar at
the top of the display "floats" as you scroll down.

The patch also makes a minor correction to the OPAC SCSS affecting the
display of the buttons in the cart toolbar.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Add some items to a cart in the OPAC.
 - Open the cart and confirm that the toolbar sticks to the top of the
   window as you scroll down.
 - Confirm that it works in the "More details" view.
 - Confirm that other JavaScript-based operations are not affected:
   table sorting and all the various toolbar buttons.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2020-04-29 18:06:25 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-05-08 22:40:51 UTC
enhancement not backported to 19.11